libetonyek::PAG1Token Namespace Reference

## Enumerations
enum | { INVALID_TOKEN = 0 , FIRST_TOKEN = IWORKTokenInfo<PAG1Parser>::first , sl , SLCreationDateProperty , date , document , drawables , header , kSFWPFootnoteGapProperty , kSFWPFootnoteKindProperty , layout , number , order , page_group , print_info , prototype , publication_info , section , section_prototypes , slprint_info , stylesheet , page , page_height , page_scale , page_width , rpage , version , VERSION_STR_4 , body , cell , footer , footnote , note , textbox , LAST_TOKEN }
enum | Namespace { NS_URI_SL = sl << 16 }

## Functions
const IWORKTokenizer & | getTokenizer ()
| BOOST_STATIC_ASSERT (IWORKTokenInfo< PAG1Parser >::last >=LAST_TOKEN)

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
INVALID_TOKEN |
FIRST_TOKEN |
sl |
SLCreationDateProperty |
date |
document |
drawables |
header |
kSFWPFootnoteGapProperty |
kSFWPFootnoteKindProperty |
layout |
number |
order |
page_group |
print_info |
prototype |
publication_info |
section |
section_prototypes |
slprint_info |
stylesheet |
page |
page_height |
page_scale |
page_width |
rpage |
version |
VERSION_STR_4 |
body |
cell |
footer |
footnote |
note |
textbox |
LAST_TOKEN |

## ◆ Namespace

enum libetonyek::PAG1Token::Namespace

Enumerator
NS_URI_SL |

## Function Documentation

## ◆ BOOST_STATIC_ASSERT()

libetonyek::PAG1Token::BOOST_STATIC_ASSERT | ( | IWORKTokenInfo< PAG1Parser >::last >= | LAST_TOKEN | ) |

## ◆ getTokenizer()

const IWORKTokenizer & libetonyek::PAG1Token::getTokenizer | ( |  | ) |

Referenced by libetonyek::PAG1Parser::getTokenizer(), and getTokenizer().